Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 21 Jun 2021 14:28:53 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I’m very disappointed with the poor customer service of your call center staffs & delivery. My order #7469960096 has not be delivered to me till today. I have received sms on 16/06 that it is out for delivery. I waited the whole day, no one called or delivered my order but I received a message stating no respond from my side. No one called me or came to my house so I could respond. I called the call center to complain, she was rude. Firstly, she indirectly thought I was lying when I informed her that no one contacted me from the delivery side. Secondly, she promised they would deliver it by Thursday but yet no one contacted me or delivered my products. I’m not aware where is my order roaming around in Bahrain since Wednesday. If your company can’t deliver my order, let me know in advance. We have other priorities too other than waiting for the delivery man. This has been the worst experience I have had for online shopping. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2737893